/*
Module : HTTPSOCKET.H
Purpose: Defines the interface for a simple MFC socket wrapper class
Created: PJN / 22-04-1999
History: None

Copyright (c) 1999 - 2001 by PJ Naughter.  (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code. 

*/


/////////////////////////////// Defines ///////////////////////////////////////

#ifndef __HTTPSOCKET_H__
#define __HTTPSOCKET_H__

#ifndef _WINSOCKAPI_
#pragma message("W3MFC classes require afxsock.h or winsock.h in your PCH")
#endif


/////////////////////////////// Includes //////////////////////////////////////

#include "SocMFC.h"


/////////////////////////////// Classes ///////////////////////////////////////

class CHttpSocket : public CWSocket
{
public:
//methods
  BOOL   ReadResponse(LPSTR pszBuffer, int nInitialBufSize, LPSTR pszTerminator, LPSTR* ppszOverFlowBuffer, DWORD dwTimeout, int nGrowBy=4096);
};

#endif //__HTTPSOCKET_H__

