#if !defined(AFX_ARCHMGRHOST_H__7B019296_917A_11D5_B383_00A024CBE341__INCLUDED_)
#define AFX_ARCHMGRHOST_H__7B019296_917A_11D5_B383_00A024CBE341__INCLUDED_
/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ArchMgrHost.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CArchMgrHost dialog

class CArchitectureManager;

class CArchMgrHost : public CDialog
{
// Construction
public:
	CArchMgrHost(CWnd* pParent);   // standard constructor
    BOOL UpdateDialog();

// Dialog Data
	//{{AFX_DATA(CArchMgrHost)
	enum { IDD = IDD_ARCHMGR_HOST };
	CListCtrl	m_lcHostInfo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CArchMgrHost)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CArchMgrHost)
	virtual BOOL OnInitDialog();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnRefresh();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
    CArchitectureManager* m_pArchitectureManager;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ARCHMGRHOST_H__7B019296_917A_11D5_B383_00A024CBE341__INCLUDED_)
