// ScriptCommentDlg.cpp : implementation file
//

#include "stdafx.h"
#include "commander.h"
#include "ScriptCommentDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CScriptCommentDlg dialog


CScriptCommentDlg::CScriptCommentDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CScriptCommentDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CScriptCommentDlg)
	m_ScriptComment = _T("");
	//}}AFX_DATA_INIT
}


void CScriptCommentDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CScriptCommentDlg)
	DDX_Text(pDX, IDC_SCRIPTCOMMENTEDIT, m_ScriptComment);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CScriptCommentDlg, CDialog)
	//{{AFX_MSG_MAP(CScriptCommentDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CScriptCommentDlg message handlers
BOOL CScriptCommentDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	int nSlashPos = scriptFilePath_.ReverseFind('\\');
	int nDotPos = scriptFilePath_.ReverseFind('.');
	CString strName = scriptFilePath_.Left(nDotPos).Mid(nSlashPos+1);

	SetWindowText(strName + " description");
	CStdioFile f;
	if (!f.Open(scriptFilePath_,  CFile::modeRead| CFile::shareDenyNone))
		return TRUE; 

	int iRead  = 0;
	CString buf ; 
	while (f.ReadString(buf))
	{
		m_ScriptComment += buf ;
	}
	
	f.Close();

	UpdateData(FALSE) ;
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CScriptCommentDlg::OnOK() 
{
	UpdateData(TRUE) ;
	CFile f;
 
	f.Open(scriptFilePath_,  CFile::modeWrite|CFile::modeCreate|CFile::modeNoTruncate);
	f.Write(m_ScriptComment.GetBuffer(0), m_ScriptComment.GetLength());
	f.SetLength(m_ScriptComment.GetLength());
	f.Close();

	CFileStatus fs; 
	if(f.GetStatus(fs))
	{
		fs.m_attribute |= CFile::Attribute::hidden;
		CFile::SetStatus(scriptFilePath_, fs);
	}

	CDialog::OnOK();
}

