#if !defined(AFX_SSDATADLG_H__9CA71039_8C76_44B4_B57F_8A8204BCE16F__INCLUDED_)
#define AFX_SSDATADLG_H__9CA71039_8C76_44B4_B57F_8A8204BCE16F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SSDataDlg.h : header file
//

#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CSSDataDlg dialog
#include "HttpSingleStepFile.h"

class CSSDataDlg : public CDialog
{
// Construction
public:
	CSSDataDlg(CHttpSingleStepFile* pFile,CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSSDataDlg)
	enum { IDD = IDD_SS_DATA_DLG };
	CListCtrl	m_ctlRequestList;
	//}}AFX_DATA

	typedef struct
	{
		CNextRequestData NRData;
		CRequestCompleteData RCData;
	}RequestData;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSSDataDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSSDataDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDblclkRequestList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CHttpSingleStepFile* m_pSSFile;

	typedef enum{enRequestCol,enVUIdCol,enConIdCol,enBinaryCol,enBodyLenCol/*INSERT NEW COLS HERE*/,enLastCol}RequestListColumns;

	void SetupRequestList();
	void LoadRequests();
	void GetUserKey(int nVU,int nConId, CString& strKey);
	CMap <int,int,RequestData*,RequestData*> m_mapItemToData;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SSDATADLG_H__9CA71039_8C76_44B4_B57F_8A8204BCE16F__INCLUDED_)
