// EndTimerDlg.cpp : implementation file
//

#include "stdafx.h"
#include "modeller.h"
#include "EndTimerDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEndTimerDlg dialog


CEndTimerDlg::CEndTimerDlg(const stringStlSet & timerSet, CWnd* pParent /*=NULL*/)
	: m_timerSet(timerSet), CDialog(CEndTimerDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEndTimerDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

}


void CEndTimerDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEndTimerDlg)
	DDX_Control(pDX, IDC_ENDTIMER_LIST, m_TimerList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEndTimerDlg, CDialog)
	//{{AFX_MSG_MAP(CEndTimerDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEndTimerDlg message handlers

void CEndTimerDlg::FillList()
{
	int index = 0;
	for (stringStlSet::const_iterator itr = m_timerSet.begin(); itr != m_timerSet.end(); ++itr, ++index)
	{
		m_TimerList.InsertString(index, (*itr));
	}
}

BOOL CEndTimerDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	FillList();	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void CEndTimerDlg::OnOK() 
{
	UpdateData(TRUE);
	m_strTimerName.Empty ();
	int iIndex = m_TimerList.GetCurSel ();
	if (iIndex != LB_ERR)
		m_TimerList.GetText(iIndex, m_strTimerName);
	
	CDialog::OnOK();
}
