/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// VarValListDBPPage.h: interface for the CVarValListDBPPage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VARVALLISTDBPPAGE_H__91967D4A_1541_11D4_BEB8_00A024AC5351__INCLUDED_)
#define AFX_VARVALLISTDBPPAGE_H__91967D4A_1541_11D4_BEB8_00A024AC5351__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VarValListPPage.h"

class CVarValListDBPPage : public CVarValListPPage
{
public:
    CVarValListDBPPage(CVarDBParam* _pVarDBParam,CVarInfo * _pVarInfo = NULL) ;
    virtual ~CVarValListDBPPage() ;

    virtual void Values2Ctrl() ;
    virtual LRESULT OnWizardBack() ;
    virtual LRESULT OnWizardNext() ;

    BOOL GetRequestResult(CVarValueList * _pVarValueList) ;

private:
	CVarDBParam* m_pVarDBParam;
};

#endif // !defined(AFX_VARVALLISTDBPPAGE_H__91967D4A_1541_11D4_BEB8_00A024AC5351__INCLUDED_)
