// TaskGroupInfoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TaskGroupInfoDlg.h"
#include "TestCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTaskGroupInfoDlg dialog


CTaskGroupInfoDlg::CTaskGroupInfoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTaskGroupInfoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTaskGroupInfoDlg)
	m_strTaskGroupComment = _T("");
	//}}AFX_DATA_INIT
}


void CTaskGroupInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTaskGroupInfoDlg)
	DDX_Text(pDX, IDC_TASKGROUPCOMMENT_EDIT, m_strTaskGroupComment);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTaskGroupInfoDlg, CDialog)
	//{{AFX_MSG_MAP(CTaskGroupInfoDlg)
	ON_EN_KILLFOCUS(IDC_TASKGROUPCOMMENT_EDIT, OnKillfocusTaskgroupcommentEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTaskGroupInfoDlg message handlers
void CTaskGroupInfoDlg::SetTestFile(CTestFile* pTestFile,int nGroup,HWND hwndNotify)
{
	m_pTestFile = pTestFile;

	m_hwndNotify = hwndNotify ;
	m_nTaskGroup = nGroup;
	m_strTaskGroupComment = m_pTestFile->GetTaskGroupComment(m_nTaskGroup);
	
	UpdateData(FALSE);
}		

BOOL CTaskGroupInfoDlg::SetWindowEnabled()
{	
	
	//get the cwnd of this dialog
	if(IsWindowEnabled()==FALSE)
	{
		GetDlgItem(IDC_TASKGROUPCOMMENT_EDIT)->EnableWindow(FALSE);
	}
	else
	{
		GetDlgItem(IDC_TASKGROUPCOMMENT_EDIT)->EnableWindow(TRUE);
	}
	UpdateData(FALSE);
	return true;
}


void CTaskGroupInfoDlg::OnKillfocusTaskgroupcommentEdit() 
{
	// TODO: Add your control notification handler code here
	if(m_nTaskGroup == -1)
		return;

	UpdateData();

	CString strTaskGroupComment = m_pTestFile->GetTaskGroupComment(m_nTaskGroup);
	if(strTaskGroupComment == m_strTaskGroupComment)
		return;

	m_pTestFile->SetTaskGroupComment(m_nTaskGroup,m_strTaskGroupComment);
	//Tell test ctrl data has changed
	::SendMessage(m_hwndNotify,WMU_REFRESH_LIST,0,MAKELPARAM(m_nTaskGroup+1,CTestCtrl::enNameCol));
}
