/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
// HTTPData.h: interface for the CHTTPData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTTPDATA_H__6DA47B23_B748_498A_9971_95E3F2005FFE__INCLUDED_)
#define AFX_HTTPDATA_H__6DA47B23_B748_498A_9971_95E3F2005FFE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

const DWORD dwBuffSize=50000;	//50K assuming 200 task groups and 200 tasks on one executer? 

	struct HTTPSnapFile
	{
		int length;
		char* strAnswer;
	};

class CHTTPData  
{

public:
	int GetFileVersion();
	long TimeOfCurrentSnapshot();
	long FindNextSnapShot();
	HTTPSnapFile GetCurrentSnapShot();
	BOOL CloseFile();
	BOOL LoadFile(CString filename);
	CHTTPData();
	virtual ~CHTTPData();

private:
	long m_lCurrentTime;
	int m_nVersion;
	int m_nLength;
	CFile m_file;
	char m_Buffer[dwBuffSize+sizeof(long)+1];
};

#endif // !defined(AFX_HTTPDATA_H__6DA47B23_B748_498A_9971_95E3F2005FFE__INCLUDED_)
