/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#include <winsock2.h>
#include <string>
#include <iostream>
#include "MemoryBufferHandler.hpp"

// Static data members initialisation.
CGlobalDataBuffHandler CDataBuffList::m_globalDataBuffHandler;

#ifdef _DEBUG
    // Nothing will be inlined (optimizes rebuilds).
#   include "MemoryBufferHandler.inl"
#endif

CFastLock * CGlobalDataBuffHandler::m_pFl                       = NULL;
LPVOID      CGlobalDataBuffHandler::s_pvVirtualMemBuff          = NULL;
DWORD       CGlobalDataBuffHandler::s_dwMaxPhysBuffLength       = 0;
DWORD       CGlobalDataBuffHandler::s_dwDataBuffExtraInfoSize   = 0;
DWORD       CGlobalDataBuffHandler::s_dwDataBuffUsableSize      = 0;
DWORD       CGlobalDataBuffHandler::s_dwBytesGrownBy            = 0;
DWORD       CGlobalDataBuffHandler::s_dwGrowingBuffCount        = 0;
DWORD       CGlobalDataBuffHandler::s_dwMaxBuffCount            = 0;

#ifdef USE_PERF_DATA
LONG *      CGlobalDataBuffHandler::s_pRecvBuffAllocatedMem   = NULL;
LONG *      CGlobalDataBuffHandler::s_pRecvBuffUsedMem        = NULL;
LONG *      CGlobalDataBuffHandler::s_pDataStoredCounterRef   = NULL;
#endif
