/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_SCRIPTSUMMARY_H__B2929ED2_47AC_44B8_A8E8_320C1A0E6690__INCLUDED_)
#define AFX_SCRIPTSUMMARY_H__B2929ED2_47AC_44B8_A8E8_320C1A0E6690__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ScriptSummary.h : header file
//
#include "resource.h"
#include "HTTPInfo.h"

/////////////////////////////////////////////////////////////////////////////
// CScriptSummary dialog

class CScriptSummary : public CDialog
{
// Construction
public:
	CScriptSummary(CWnd* pParent = NULL);   // standard constructor
	void InitMonitor(int nTaskGroup, CStringArray& arrTasks , CString strManagerReg);

// Dialog Data
	//{{AFX_DATA(CScriptSummary)
	enum { IDD = IDD_SUMMARY };
	CListCtrl	m_ctlScriptList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScriptSummary)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CScriptSummary)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CStringArray m_arrTasks;
	int m_nTaskGroup;
	CString m_strManagerReg;
	CHTTPInfo m_Info;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCRIPTSUMMARY_H__B2929ED2_47AC_44B8_A8E8_320C1A0E6690__INCLUDED_)
