/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// BasedDocument.cpp : implementation file
//

#include "stdafx.h"
#include "BasedDocument.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#include "Constantes.h"

//----------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(CBasedDocument, CDocument)

//----------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(CBasedDocument, CDocument)
//{{AFX_MSG_MAP(CBasedDocument)
// NOTE - the ClassWizard will add and remove mapping macros here.
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//----------------------------------------------------------------------------

CBasedDocument::CBasedDocument():
        m_bNew( FALSE )
{}


//----------------------------------------------------------------------------


CBasedDocument::~CBasedDocument()
{}

//----------------------------------------------------------------------------


BOOL CBasedDocument::OnNewDocument()
{

    SetProjectState( TRUE ) ;

    return TRUE;
}


//----------------------------------------------------------------------------

BOOL CBasedDocument::OnOpenDocument(LPCTSTR lpszPathName)
{
    SetProjectState( FALSE ) ;

    return TRUE;
}

//----------------------------------------------------------------------------

CSCLDocInfo* CBasedDocument::GetSCLDocInfo()
{
    return &m_SCLDocumentInfo;
}


//----------------------------------------------------------------------------

#ifdef _DEBUG
void CBasedDocument::AssertValid() const
{
    CDocument::AssertValid();
}

//----------------------------------------------------------------------------

void CBasedDocument::Dump(CDumpContext& dc) const
{
    CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CBasedDocument serialization
//----------------------------------------------------------------------------

void CBasedDocument::Serialize(CArchive& ar)
{
    if (ar.IsStoring())
    {
        // TODO: add storing code here
    }

    else
    {
        // TODO: add loading code here
    }

}


void CBasedDocument::SetPathName(LPCTSTR lpszPathName, BOOL bAddToMRU)
{
    // a enlever CDocument::SetPathName(lpszPathName, bAddToMRU);
}


